Bug 268540 - "Rename Test Class" does not work
"Rename Test Class" does not work
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Refactoring
8.2
All All
: P2 (vote)
: Dev
Assigned To: Svata Dedic
issues@java
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-16 01:41 UTC by wqtnetbeans
Modified: 2017-03-16 02:50 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wqtnetbeans 2016-10-16 01:41:03 UTC
Even when the "Rename Test Class" option is tick marked, only the source class name is changed, the corresponding test class' name does not get changed.
Comment 1 Svata Dedic 2016-10-16 04:43:48 UTC
I guess the milestone should not be 'Next' ;) since it's used for bugs which are planned NOT to be fixed in the current dev version (and the corresponding future release) . Also please do not change the target milestone at all unless you're planning to address the defect in that release/timeframe yourself; it's a planning tool for active contributors.
Comment 2 Svata Dedic 2017-03-10 16:47:42 UTC
Should be fixed in jet-main#eb81e2478e8b
Comment 3 Quality Engineering 2017-03-16 02:50:27 UTC
Integrated into 'main-silver', will be available in build *201703160002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/eb81e2478e8b
User: Svata Dedic <sdedic@netbeans.org>
Log: #268540: fixed deadlock between EDT and asynchronous query. Junit calls callback immediately, not in EDT


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo